Commit 82c2461e authored by Simon McVittie's avatar Simon McVittie

Use system PCRE unless --with-pcre=internal is given

Bug: https://bugzilla.gnome.org/show_bug.cgi?id=740573Reviewed-by: default avatarEmmanuele Bassi <ebassi@gnome.org>
Signed-off-by: Simon McVittie's avatarSimon McVittie <simon.mcvittie@collabora.co.uk>
parent 855594c4
Overview of changes in GLib 2.47.5
==================================
* The system copy of PCRE is now used by default to implement GRegex.
Configure with --with-pcre=internal if a system PCRE version
is unavailable or undesired.
Overview of changes in GLib 2.47.4
==================================
......
......@@ -67,6 +67,13 @@ and attach the patch to that bug report.
Patches should be in unified diff form. (The -up option to GNU diff.)
Notes about GLib 2.48
=====================
* The system copy of PCRE is now used by default to implement GRegex.
Configure with --with-pcre=internal if a system PCRE version
is unavailable or undesired.
Notes about GLib 2.46
=====================
......
......@@ -2312,7 +2312,9 @@ PCRE_REQUIRED_VERSION=8.13
# Check if we should use the internal or the system-supplied pcre
AC_ARG_WITH(pcre,
[AS_HELP_STRING([--with-pcre=@<:@internal/system@:>@],
[whether to use system PCRE [default=internal]])])
[whether to use system PCRE [default=system]])],
[],
[with_pcre=system])
AM_CONDITIONAL(USE_SYSTEM_PCRE, [test "x$with_pcre" = xsystem])
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment